Bug 5283 - RLS Java Client (non-JNI)
: RLS Java Client (non-JNI)
Status: RESOLVED FIXED
: Replica Location
Roadmap
: development
: All All
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2007-05-09 00:33 by
Modified: 2007-11-08 00:09 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-05-09 00:33:17
An RLS Java client, that does not depend on the Java Native Interface (JNI), is
needed in order to improve the usability (installation and configuration),
portability (support for 64-bit platforms), and stability (Java runtime process
protection) of RLS.
------- Comment #1 From 2007-09-07 17:32:13 -------
The new RLS Java client has been developed, unit tested, and tested in a
production-grade environment with users. The client is packaged for both 4.0.x
and 4.1.x users. The client has been released through the GT development
release page: http://www.globus.org/toolkit/downloads/development/.

Pending: the client will be used to replace the Java JNI client currently in
the CVS TRUNK. The upcoming 4.2 release and 4.1.x releases will then include
the new client.
------- Comment #2 From 2007-11-08 00:09:12 -------
The new Java client package, globus_rls_client_java, has been added to the
packaging/etc/bundles for the globus_rls_server bundle in CVS trunk. The new
client will be released with future GT 4.2+ bundles. The globus_rls_client
remains unchanged and therefore the old JNI based RLS client will continue to
be included in the release. We may chose to eliminate the JNI client at some
future time.